/***************************************************************************
                          ctrlset.h  -  description                              
                             -------------------                                         
    begin                : Thu Mar 25 14:26:46 GMT 1999
                                           
    copyright            : (C) 1999,2000 by Mike Richardson                         
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#ifndef	_CTRLSET_H
#define	_CTRLSET_H

#include	<qframe.h>
#include	<qlabel.h>
#include	<qlist.h>

/*  KNDControlSet							*/
/*  This class is used to handle basic initialisation of widgets, and	*/
/*  to allow hiding or showing all in the set at one go.		*/

#define	CS_VALUE	0x1000

enum	CSType
{
	None	= 0,
	Label	= 1,			/* Widget is a label		*/
	Number	= 2|CS_VALUE,		/* Widget is a display number	*/
	Text	= 3|CS_VALUE,		/* Widget is display text	*/
	Entry	= 4			/* Widget is text entry		*/
}	;

class	KNDControlSet
{
	QList<QWidget> controlSet ;

public:

	void	addWidget	(QWidget *, int, int, int, int, CSType) ;
	void	hide		() ;
	void	show		() ;
}	;

#endif	/* _CTRLSET_H */
