/***************************************************************************
                          knd_mon.h  -  description                              
                             -------------------                                         
    begin                : Thu Mar 25 14:26:46 GMT 1999
                                           
    copyright            : (C) 1999 by Mike Richardson                         
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef KSNUFFLEMON_H 
#define KSNUFFLEMON_H 

#include	"ksnuffle.h"
#include	"knd_view.h"

/*  KNDMonitor								*/
/*  Class used for local sniffing. Mostly this class is virtual; all	*/
/*  the work is done in the configuration and packet capture objects.	*/

class KNDMonitor : public KNDView
{
	Q_OBJECT	;

public:
	KNDMonitor (QWidget *, KNDApp	*,
			       int,
			       SArray	*,
			       KNDMulti	*,
			       cchar    *,
			       KConfig	* = NULL) ;
	virtual	~KNDMonitor () ;

	virtual	MType	getMType    () ;
	virtual	void	writeConfig (KConfig *) ;
}	;

#endif // KSNUFFLEMON_H 
