/***************************************************************************
                          knd_setup.h  -  description                              
                             -------------------                                         
    begin                : Thu Mar 25 14:26:46 GMT 1999
                                           
    copyright            : (C) 1999,2000 by Mike Richardson                         
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef		KND_SETUP_H
#define		KND_SETUP_H

#include	<qgroupbox.h>
#include	<qcheckbox.h>
#include	<qlabel.h>
#include	<qspinbox.h>
#include	<qlistbox.h>
#include	<qpushbutton.h>

#include	"ksnuffle.h"

/*  KNDSetup								*/
/*  This is the class for the global setup object.			*/

class	KNDSetup : public QWidget
{
	Q_OBJECT

	QGroupBox	g_opts	 ;

	QCheckBox	c_addr	 ;
	QCheckBox	c_port	 ;
	QCheckBox	c_privp	 ;
	QCheckBox	c_dropd	 ;
	QCheckBox	c_ppkt	 ;
	QLabel		l_pat	 ;
	QSpinBox	s_pat	 ;
	QLabel		l_pfor	 ;
	QSpinBox	s_pfor	 ;
	QLabel		l_maxp	 ;
	QSpinBox	s_maxp	 ;
	QPushButton	b_font	 ;
	QPushButton	b_savec	 ;

	bool		f_isset	 ;
	QString		f_family ;
	int		f_psize	 ;

public:

	KNDSetup (KNDApp *parent) ;
       ~KNDSetup () ;

protected slots:

	void		clickSaveSetup	() ;
	void		clickPickFont	() ;
}	;

#endif	// KND_SETUP_H
