/***************************************************************************
                          knd_pcap.cpp  -  description                              
                             -------------------                                         
    begin                : Thu Mar 25 14:26:46 GMT 1999
                                           
    copyright            : (C) 1999,2000 by Mike Richardson                         
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#include	<stdlib.h>
#include	<unistd.h>
#include	<fcntl.h>

#include	"knd_pcap.h"
#include	"knd_mon.h"
#include	"knd_pkt.h"
#include	"knd_gra.h"
#include	"knd_multi.h"

#include	"nethdrs.h"

/*  KNDPCap								*/
/*  KNDPCap	: Constructor for monitor module			*/
/*  view	: KNDView *	: Associated monitor object		*/
/*  (returns)	: KNDPCap	:					*/

KNDPCap::KNDPCap
	(	KNDView	*view
	)
	:
	view	(view)
{
	iface	= NULL	;
}

/*  KNDPCap								*/
/*  ~KNDPCap	: Destructor for monitor module				*/
/*  (returns)	:		:					*/

KNDPCap::~KNDPCap ()
{
}


void	KNDPCap::clear ()
{
	if (iface != NULL)
	{	free	(iface) ;
		iface	= NULL	;
	}
}
